connector:
    name: oro_importexport
    jobs:
        price_list_product_prices_export_to_csv:
            title: "Export Product Prices by Price List to CSV"
            type: export
            steps:
                export:
                    title:     export
                    class:     Oro\Bundle\BatchBundle\Step\ItemStep
                    services:
                        reader:    oro_pricing.importexport.reader.price_list_product_prices
                        processor: oro_importexport.processor.export_delegate
                        writer:    oro_importexport.writer.csv
                    parameters: ~
                export_included_products_without_prices:
                    title: export
                    class:     Oro\Bundle\BatchBundle\Step\ItemStep
                    services:
                        reader:    oro_pricing.importexport.reader.price_list_additional_product_prices
                        processor: oro_importexport.processor.export_delegate
                        writer:    oro_importexport.writer.csv
                    parameters: ~

        price_list_product_prices_entity_import_from_csv:
            title: "Product Prices Import from CSV"
            type: import
            steps:
                import:
                    title:     import
                    class:     Oro\Bundle\BatchBundle\Step\ItemStep
                    services:
                        reader:    oro_importexport.reader.csv
                        processor: oro_importexport.processor.import_delegate
                        writer:    oro_pricing.importexport.writer.product_price
                    parameters: ~

        price_attribute_product_price_import_from_csv:
            title: "Import Product Price Attributes values from CSV"
            type: import
            steps:
                import:
                    title:     import
                    class:     Oro\Bundle\BatchBundle\Step\ItemStep
                    services:
                        reader:    oro_importexport.reader.csv
                        processor: oro_importexport.processor.import_delegate
                        writer:    oro_pricing.importexport.writer.price_attribute_product_price
                    parameters: ~
